QGIS Application - Bug report #13162
Unable to stylize raster as Singleband Pseudocolor
2015-07-27 12:31 PM - Josiah Wahlrab

Status: Closed

Priority: Normal

Assignee:

Category: Rasters

Affected QGIS version:2.10.0 Regression?: No
Operating System: Mac Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 21225
Description

In a singleband raster layer's Properties / Style tab, select 'singleband pseudocolor' for render type, choose color ramp, click 'Classify’,
click 'Apply'. Behind the Properties window, the respective raster has not changed in appearance. Same result when clicking 'OK'

Associated revisions

Revision 9b9dbff1 - 2015-08-18 09:14 PM - Nyall Dawson

Fix rasters cannot be styled on OSX (fix #13162)

Add missing Q_OBJECT macro

Revision fcdc609c¢ - 2015-09-06 12:50 AM - Nyall Dawson

Fix rasters cannot be styled on OSX (fix #13162)

Add missing Q_OBJECT macro

(cherry picked from commit 9b9dbff13dd3ff20c3746fc175d59c29bf401c26)

History

#1 - 2015-07-28 05:38 PM - Josiah Wahirab

To confirm that my process wasn't wrong, | reinstalled QGIS 2.8.2 and was able to stylize a single-band raster with a color ramp.

#2 - 2015-07-30 01:48 PM - Giovanni Manghi
- Status changed from Open to Feedback

Cannot confirm on Linux and Windows, is this a Mac only issue? Please try and report back.

#3 - 2015-08-02 08:53 AM - Daniel Orellana

Confirmed the bug on a Mac OSX Yosemite.
#4 - 2015-08-11 12:12 PM - Andy Aschwanden

Confirmed on OSX Maverick and Yosemite.

However, for me, this goes further: any change to the layer properties made in the "Layer Properties" are not applied. In other words, | can change

properties and assign a colorramp, but hitting "apply" or "OK" does not apply the to the raster layer. Furthermore, trying to copy&paste the layer properties

from another layer does not work.

In conclusion, this makes 2.10 unusable for me :(

#5 - 2015-08-18 06:19 AM - robert kalasek
- Target version set to Version 2.10

conformed as described by andy aschwaden.
hence i would tend to inensify andy's statement: 2.10 is unusable for anyone who works with mac and raster data. regarding the scope of the problem i

would be grateful if priority was raised ...

#6 - 2015-08-18 12:15 PM - Nyall Dawson
- Status changed from Feedback to Closed

Fixed in changeset commit:"9b9dbff13dd3ff20c3746fc175d59¢c29bf401¢c26".

#7 - 2015-08-18 12:19 PM - Nyall Dawson
Fixed in master, and i'll backport to 2.10.
However, this issue highlights an important weakness in the QGIS release testing -- we need more OSX testers! This issue should have been picked up

prior to release, but we have very few active developers who regularly use OSX. So it's up to you... if you rely on running QGIS on OSX we need your help
with testing beta and nightly releases and providing timely feedback so these OSX specific issues can be fixed prior to release.

#8 - 2015-08-20 09:29 PM - Andy Aschwanden

I'd be happy to become a beta tester for OSX. Could you point me to resources about beta testing?

#9 - 2015-08-31 06:15 AM - Rhenriques Henriques

Hi Nyall. Thank you so much for the fix. I've tried to patch QGIS with your solution but no luck. The problem persists. How can we patch KyngChaos

current compilation easily from your solution?

Cheers

#10 - 2015-09-08 11:45 PM - Oskar Karlin

| can also join in for beta testing on OSX. What do | do?
#11 - 2015-09-15 08:37 AM - Harrissou Santanna

You can download nightly builds at Dakota Cartography website (even if the site seems not uptodate, the zip files are and you'll be provided with the

current master)

#12 - 2015-09-17 04:13 PM - Rhenriques Henriques

Thank you so much Harrissou. I've already done so. The problem is that the Kyngkaos compilation is more complete than the DakotaCarto night build,
mainly in the processing modules :(
Best Regards

#13 - 2015-09-24 02:57 AM - Edward Rollason
- Status changed from Closed to Reopened

This issue still seems to be broken on the dakota master download (2.11-dev). Can anyone confirm?

#14 - 2015-09-24 05:52 AM - Josiah Wahlrab

Confirming that [Dakota 2.11](http://qgis.dakotacarto.com) is not able to stylize a DEM using singleband pseudocolor.

Checksums details:

'QGIS_2-11-0_2015-07-08_ce2c402' ZIP Archive Checksums

MD5= baa4981953b3ee02143f562997237344
SHA1=570c67b4fad3c76fe22c8d9eb6f296f4e49cd1cc

Latest commit to master branch: ce2c402
'[FEATURE][labeling] Allow data defined control of label priority'
by Nyall Dawson, 5 hours ago

#15 - 2015-09-24 02:18 PM - Nyall Dawson

- Status changed from Reopened to Closed

Dakcarto automated builds are broken and out of date. Please test with latest master and reopen if necessary.

#16 - 2015-09-28 01:50 AM - Edward Rollason

Nyall Dawson wrote:

Dakcarto automated builds are broken and out of date. Please test with latest master and reopen if necessary.

Where do | get the latest OSX master from?

2025-03-15 3/5


http://qgis.dakotacarto.com/
http://qgis.dakotacarto.com

#17 - 2015-09-28 01:51 AM - Edward Rollason

Nyall Dawson wrote:

Dakcarto automated builds are broken and out of date. Please test with latest master and reopen if necessary.

Where do | get the latest OSX master from?

#18 - 2015-09-30 08:00 PM - Josiah Wahlrab

Edward Rollason wrote:

Where do | get the latest OSX master from?

| believe the only option is directly from the QGIS Github, and then building it using these instructions.

I'm attempting to do this, and am currently working my way through a few errors, which I've detailed on StackExchange.

#19 - 2015-10-03 12:59 PM - Josiah Wahlrab

I'm hitting walls when attempting to build QGIS 2.11 from Master (StackExchange). I'd love to help out and report bugs but it seems this is a little beyond

my skill level. It'd be awesome if another Mac QGUS user could help push this ball along...

#20 - 2015-10-04 03:24 AM - Nyall Dawson

The dakcarto builds are up and running again, so you should be right testing with those.

#21 - 2015-10-04 06:37 AM - robert kalasek

problem still exist on my latest mac version from kyngchaos ... didn't check the nightly builds at dakotakarto right now. but all of the above messages seem

to be a little confusing to me. especially closing the topic propably could be kind of hasty ...

#22 - 2015-10-07 02:54 AM - Remi Lemoy

The single band pseudocolor for raster now works for me on OS X 10.10.5 with the nightly build downloaded today from dakcarto (I needed to update with
the latest GDAL from kyngchaos).

Note: | had an error when using gdal_polygonize because there was an "é" character in one of the paths | was using (
http://georezo.net/forum/viewtopic.php?id=98052), but it's probably not here that | should mention that.

#23 - 2015-10-07 03:58 AM - Edward Rollason

The dakota master download (downloaded 7 October 15) has fixed the raster issue for me.

_Note for those installing the dakota version, it needs the newest GDAL framework downloadable from kyngchaos, otherwise it won't open. _
https://github.com/qgis/QGIS
https://github.com/qgis/QGIS/blob/master/INSTALL
http://gis.stackexchange.com/questions/164382/building-from-qgis-master
http://gis.stackexchange.com/questions/164382/building-from-qgis-master
http://georezo.net/forum/viewtopic.php?id=98052

#24 - 2015-10-16 02:02 AM - Mattia Fiorini
So this bug will be corrected in the next version of QGIS?
I'm not able to compile and use nightly build...

Apropos : anyone knows a good site where to get informations on compiling and installing nightly build on osx?

Thanks

#25 - 2015-10-16 04:31 PM - Josiah Wahlrab

So this bug will be corrected in the next version of QGIS?

Yes. It's fixed in the DakotaCarto nightly build, so it should show up in the next version of QGIS (2.12). Apparently it's also been back ported to 2.10, but |

believe you would have to build it yourself because KyngChaos QGIS doesn't include the fix yet. Similarly, | believe the Boundless QGIS also has yet to

incorporate a build that includes the fix.

I'd love to be informed otherwise though. :)

anyone knows a good site where to get informations on compiling and installing nightly build on osx?

Here are multi-platform instructions on how to build QGIS.
http://qgis.dakotacarto.com
http://www.kyngchaos.com/software/qgis
http://boundlessgeo.com/solutions/solutions-software/qgis/
https://github.com/qgis/QGIS/blob/master/INSTALL

